gnutls_x509_crt_set_key_purpose_oid(3)

NAME
gnutls_x509_crt_set_key_purpose_oid - Sets the Certificate's key purpose OIDs

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_key_purpose_oid(gnutls_x509_crt_t cert, const void * oid, unsigned int critical);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

const void * oid
    a pointer to a null terminated string that holds the OID

unsigned int critical
    Whether this extension will be critical or not

DESCRIPTION
This function will set the key purpose OIDs of the Certificate. These are stored in the Extended Key Usage extension (2.5.29.37) See the GNUTLS_KP_* definitions for human readable names.

Subsequent calls to this function will append OIDs to the OID list.

On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.